;(function(){

	window._w.publicvaluation = {

		itemId : null,
		itemData : null,
		formMeta : null,
		ti : null,
		limited : false,
		newItem : false,
		validations : 0,
		highestOfferId : false,
		priceGuideId : false,
		publicCentreList : {},

		onValuationViewTemplateReady : function( template, event, eventData )
		{
			_w.publicvaluation.itemData = null;
			_w.publicvaluation.ti = _t[template];
			_w.publicvaluation.limited = false;


			App.API.getTask(
					'publicCentreList', 'Company', 'Company.SelectGrid', null, {},
					$.proxy(function()
					{
						App.API.execTask(
								'publicCentreList', {}, {},
								$.proxy(function(response)
								{
									_w.publicvaluation.publicCentreList = {};
									for (var i in response.Data.DataSet)
									{
										var company = response.Data.DataSet[i];
										if (undefined == _w.publicvaluation.publicCentreList[company.city.region.id])
										{
											_w.publicvaluation.publicCentreList[company.city.region.id] = [];
										}
										_w.publicvaluation.publicCentreList[company.city.region.id].push({
											value: company.id,
											label: company.name
										});
									}
								}, this),
								_w.taskExecError
							);
					}, this),
					_w.taskContractError
					);

			App.DataStore.setData('sparekeys', [{"value":"1", "label":"Yes"}, {"value":"0", "label":"No"}]);
			App.DataStore.loadSelectListData('categories', false, 'Stock', 'Category.SelectList', null, {}, {}, function(){
				var data = App.DataStore.getData('categories');
				data.splice(data.length - 1, 1);
				App.DataStore.setData('categories', data);
			});
			App.DataStore.loadSelectListGroup([
               {dataId: 'years', isStatic: true, workspace: 'Stock', task: 'Year.SelectList'},
               {dataId: 'conditions', isStatic: true, workspace: 'Stock', task: 'Condition.SelectList'},
               {dataId: 'exteriorColours', isStatic: true, workspace: 'Stock', task: 'ExteriorColour.SelectList'},
               {dataId: 'interiorColours', isStatic: true, workspace: 'Stock', task: 'InteriorColour.SelectList'},
               {dataId: 'upholsteries', isStatic: true, workspace: 'Stock', task: 'Upholstery.SelectList'},
               {dataId: 'papers', isStatic: true, workspace: 'Stock', task: 'Paper.SelectList'},
               {dataId: 'natis', isStatic: true, workspace: 'Stock', task: 'Natis.SelectList'},
               {dataId: 'fsh', isStatic: true, workspace: 'Stock', task: 'FullServiceHistory.SelectList'},
               {dataId: 'fuelTypes', isStatic: true, workspace: 'Stock', task: 'FuelType.SelectList'},
               {dataId: 'transmissionTypes', isStatic: true, workspace: 'Stock', task: 'TransmissionType.SelectList'},
               {dataId: 'damages', isStatic: true, workspace: 'Stock', task: 'Damage.SelectList'},
               {dataId: 'accessories', isStatic: true, workspace: 'Stock', task: 'Accessory.SelectList'}
            ]);
			App.DataStore.loadSelectListData(
					'regions', false, 'Location', 'Region.SelectListNames', null,
					{"Filter": {
						"country" 	: 1,
						"name" 		: ['Gauteng','Western Cape','KwaZulu-Natal']
						}}
					);


			_w.publicvaluation.setValuationViewFormMeta();
			_w.publicvaluation.ti.hydrate(_w.publicvaluation.formMeta);
			// Retrieve initial view data.
			_w.publicvaluation.itemId = 0;

			_w.publicvaluation.newItem = true;
			_w.publicvaluation.itemData = {stock:{}};
			App.API.getTask(
				'createPublicValuation', 'Valuation', 'Valuation.CreatePublic',
				null, {}, function(){}, _w.taskContractError
			);
		},

		onValuationViewPublished : function( template, event, eventData )
		{

			// Do a check here for the ie browser - if ie show upload file buttons
			// IE browsers prevent submitting files when the input field didn't receive a direct click

			 if(navigator.appVersion.indexOf("MSIE ")!=-1)
			 {
				 //alert( "This is msie IE!" );
				 // Main
				 $("#btn_mainImage").show();
				 $("#mainImage").show();

				 // Front
				 $("#btn_frontImage").show();
				 $("#frontImage").show();

				 // Left
				 $("#btn_leftImage").show();
				 $("#leftImage").show();

				 // Right
				 $("#btn_rightImage").show();
				 $("#rightImage").show();

				 // Back
				 $("#btn_backImage").show();
				 $("#backImage").show();

				 // Interior
				 $("#btn_interiorImage").show();
				 $("#interiorImage").show();

				 // Engine
				 $("#btn_engineImage").show();
				 $("#engineImage").show();

				 // Copy Of Natis
				 $("#btn_natisImage").show();
				 $("#natisImage").show();

				 // accept text IE
				 $(".acceptText").hide();
				 $(".acceptTextIE").show();

				 $('#terms').parent().addClass("IE");
			 }


			_w.publicvaluation.limited = false;
			_w.publicvaluation._setupValidation();
			$('#terms').change(function() {
				$('#btnSaveNewValuation').prop('disabled', !$(this).is(':checked'));
			});
			$('#btnSaveNewValuation').prop('disabled', true);
			$('#btnSaveNewValuation').show();
			$('#btnSaveNewValuation').click(function () {
				$('#btnSaveNewValuation').prop('disabled', true);
				$('#terms').prop('disabled', true);
				if (!$('#frmValuationView').valid())
				{
					$('#btnSaveNewValuation').prop('disabled', false);
					return;
				}

				//Check for mobi photo's
				// the IE doesn't support matchMedia ...
				var isMobile = 'none' == $('#customerTitle').css('display');

				// check for IE as well // if (!isMobile.matches && !navigator.appVersion.indexOf("MSIE ")!=-1 )
				if (!isMobile )
				{
					var data = _w.publicvaluation.ti.harvest();
					var images = 8;
					if ('' == data.mainImage) { images--; }
					if ('' == data.leftImage) { images--; }
					if ('' == data.backImage) { images--; }
					if ('' == data.engineImage) { images--; }
					if ('' == data.frontImage) { images--; }
					if ('' == data.rightImage) { images--; }
					if ('' == data.interiorImage) { images--; }
					if ('' == data.natisImage) { images--; }

					if (images < 2)
					{
						$('#btnSaveNewValuation').prop('disabled', false);
						alert('Please upload at least 2 images.');
						return;
					}
				 }

				var data = _w.publicvaluation._prepValuationUpdateData();
				App.API.execTask(
					'createPublicValuation', data, {},
					_w.publicvaluation._onValuationUpdated,
					_w.publicvaluation._onValuationFail
				);
			});

			$('.back-btn').on('click', function(){
				window.history.back();
			});
		},

		setValuationViewFormMeta : function()
		{
			data = {"stock":{}};
				_w.publicvaluation.formMeta = {
				'vehicleYear' : {
					type        : 'select',
					id          : 'vehicleYear',
					title       : 'Year',
					dataStoreId : 'years',
					value       : data.stock.vehicleYear ? data.stock.vehicleYear : '',
					onChange    : function () {
						if (!App.DataStore.getItem('BuildSelect:vehicleYear', false))
						{
							_w.publicvaluation._listMakesModelsTypes();
						}
					}
				},
				'category' : {
					type        : 'select',
					id          : 'vehicleCategory',
					title       : 'Category',
					dataStoreId : 'categories',
					value       : data.stock.type ? data.stock.type.category.id : '',
					onChange    : function () {
						if (!App.DataStore.getItem('BuildSelect:vehicleCategory', false))
						{
							_w.publicvaluation._listMakesModelsTypes();
						}
					}
				},
				'make' : {
					type        : 'select',
					id          : 'vehicleMake',
					title       : 'Vehicle Make',
					dataStoreId : 'makes',
					value       : data.stock.type ? data.stock.type.model.make.id : '',
					onChange    : function () {
						if (!App.DataStore.getItem('BuildSelect:vehicleMake', false))
						{
							_w.publicvaluation._listMakesModelsTypes();
						}
					}
				},
				'model' : {
					type        : 'select',
					id          : 'vehicleModel',
					title       : 'Vehicle Model',
					dataStoreId : 'models',
					value       : data.stock.type ? data.stock.type.model.id : '',
					onChange    : function () {
						if (!App.DataStore.getItem('BuildSelect:vehicleModel', false))
						{
							_w.publicvaluation._listMakesModelsTypes();
						}
					}
				},
				'type' : {
					type        : 'select',
					id          : 'vehicleType',
					title       : 'Vehicle Type',
					dataStoreId : 'types',
					value       : data.stock.type ? data.stock.type.id : ''
				},
				'fuelType' : {
					type        : 'select',
					id          : 'vehicleFuelType',
					title       : 'Fuel Type',
					dataStoreId : 'fuelTypes',
					value       : data.stock.fuelType ? data.stock.fuelType : ''
				},
				'transmissionType' : {
					type        : 'select',
					id          : 'vehicleTransmissionType',
					title       : 'Transmission Type',
					dataStoreId : 'transmissionTypes',
					value       : data.stock.transmissionType ? data.stock.transmissionType : ''
				},
				'registrationNumber' : {
					type  : 'input',
					id    : 'registrationNumber',
					title : 'Registration no',
					value : data.stock.registrationNumber ? data.stock.registrationNumber : '',
					style	: 'capitalise'
				},
				'vinNumber' : {
					type  : 'input',
					id    : 'vinNumber',
					title : 'Vin no',
					value : data.stock.vinNumber ? data.stock.vinNumber : '',
					style	: 'capitalise'
				},
				'engineNumber' : {
					type  : 'input',
					id    : 'engineNumber',
					title : 'Eng. no',
					value : data.stock.engineNumber ? data.stock.engineNumber : '',
					style	: 'capitalise'
				},
				'km' : {
					type  : 'input',
					id    : 'km',
					title : 'Kms',
					value : data.stock.km ? data.stock.km : ''
				},
				'condition' : {
					type        : 'select',
					id          : 'vehicleCondition',
					title       : 'Condition',
					dataStoreId : 'conditions',
					value       : data.stock.condition ? data.stock.condition : ''
				},
				'exteriorColour' : {
					type        : 'select',
					id          : 'exteriorColour',
					title       : 'Main ext. colour',
					dataStoreId : 'exteriorColours',
					value       : data.stock.exteriorColour ? data.stock.exteriorColour : ''
				},
				'interiorColour' : {
					type  : 'select',
					id    : 'interiorColour',
					title : 'Main int. colour',
					dataStoreId : 'interiorColours',
					value : data.stock.interiorColour ? data.stock.interiorColour : ''
				},
				'upholstery' : {
					type        : 'select',
					id          : 'vehicleUpholstery',
					title       : 'Upholstery',
					dataStoreId : 'upholsteries',
					value       : data.stock.upholstery ? data.stock.upholstery : ''
				},
				'papers' : {
					type        : 'select',
					id          : 'vehiclePapers',
					title       : 'Papers',
					dataStoreId : 'papers',
					value       : data.stock.papers ? data.stock.papers : ''
				},
				'natis' : {
					type        : 'select',
					id          : 'vehicleNatis',
					title       : 'Natis',
					dataStoreId : 'natis',
					value       : data.stock.natis ? data.stock.natis : ''
				},
				'spareKeys' : {
					type        : 'select',
					id          : 'spareKeys',
					title       : 'Spare keys',
					dataStoreId : 'sparekeys',
					value       : undefined != data.stock.spareKeys && null != data.stock.spareKeys
									? (data.stock.spareKeys == true ? "1" : "0")
									: null
				},
				'fullServiceHistory' : {
					type        : 'select',
					id          : 'fullServiceHistory',
					title       : 'Full service history',
					dataStoreId : 'fsh',
					value       : data.stock.fullServiceHistory ? data.stock.fullServiceHistory : ''
				},
				'fshNotes' : {
					type  : 'textarea-small',
					id    : 'fshNotes',
					title : 'FSH notes',
					value : data.stock.fshNotes ? data.stock.fshNotes : ''
				},
				'damages' : {
					type        : 'damageDetails',
					disabled	: false,
					id          : 'damages',
					dataStoreId : 'damages',
					data        : data.stock.damages ? data.stock.damages : {}
				},
				'damageTotal' : 'R 0.00',
				'damageNotes' : {
					type  : 'textarea-styled',
					disabled	: false,
					id    : 'damageNotes',
					title : 'Damages comments: i.e. Scratches, Dents, Paintwork, etc.',
					style : 'damages-comments1',
					value : data.stock.damageNotes ? data.stock.damageNotes : ''
				},
				'previousRepairsNoted' : {
					type  : 'checkbox',
					id    : 'previousRepairsNoted',
					title : 'Previous repairs',
					style : 'damages-comments',
					value : data.stock.previousRepairsNoted ? data.stock.previousRepairsNoted : false
				},
				'previousRepairsNotes' : {
					type  : 'textarea-styled',
					disabled	: false,
					id    : 'previousRepairsNotes',
					title : 'Previous repairs notes',
					style : 'damages-comments',
					value : data.stock.previousRepairsNotes ? data.stock.previousRepairsNotes : '',
					onChange: function(){
						var haveData = ('' != $(this).val() ? true : false);
						$('#previousRepairsNoted').prop('checked', haveData);
					}
				},
				'accessories' : {
					type        : 'checkGroup',
					id          : 'accessories',
					dataStoreId : 'accessories',
					itemName    : 'accessory',
					data        : data.stock.accessories ? data.stock.accessories : {}
				},
				'accessoryNotes' : {
					type      : 'textarea-styled',
					id        : 'accessoryNotes',
					title     : 'Comments',
					style     : 'comment mobile-comment',
					areaStyle : 'comment-text-box',
					value     : data.stock.accessoryNotes ? data.stock.accessoryNotes : ''
				},
				'mainImage' : {
					type  : 'image',
					id    : 'mainImage',
					baseImage : 'main_img_car.jpg',
					view  : false,
					value : data.stock.mainImage ? data.stock.mainImage : ''
				},
				'frontImage' : {
					type  : 'image',
					id    : 'frontImage',
					baseImage : 'front_car.jpg',
					view  : false,
					value : data.stock.frontImage ? data.stock.frontImage : ''
				},
				'leftImage' : {
					type  : 'image',
					id    : 'leftImage',
					baseImage : 'left_car.jpg',
					view  : false,
					value : data.stock.leftImage ? data.stock.leftImage : ''
				},
				'rightImage' : {
					type  : 'image',
					id    : 'rightImage',
					baseImage : 'right_car.jpg',
					view  : false,
					value : data.stock.rightImage ? data.stock.rightImage : ''
				},
				'backImage' : {
					type  : 'image',
					id    : 'backImage',
					baseImage : 'back_car.jpg',
					view  : false,
					value : data.stock.backImage ? data.stock.backImage : ''
				},
				'interiorImage' : {
					type  : 'image',
					id    : 'interiorImage',
					baseImage : 'interior_car.jpg',
					view  : false,
					value : data.stock.interiorImage ? data.stock.interiorImage : ''
				},
				'engineImage' : {
					type  : 'image',
					id    : 'engineImage',
					baseImage : 'engine_car.jpg',
					view  : false,
					value : data.stock.engineImage ? data.stock.engineImage : ''
				},
				'natisImage' : {
					type  : 'image',
					id    : 'natisImage',
					baseImage : 'copy_of_natis_car.jpg',
					view  : false,
					value : data.stock.natisImage ? data.stock.natisImage : ''
				},

				'firstName' : {
					type  : 'input',
					id    : 'firstName',
					title : 'Name',
					value : data.firstName ? data.firstName : ''
				},
				'familyName' : {
					type  : 'input',
					id    : 'familyName',
					title : 'Surname',
					value : data.familyName ? data.familyName : ''
				},
				'email' : {
					type  : 'input',
					id    : 'email',
					title : 'Email address',
					value : data.email ? data.email : ''
				},
				'confirmEmail' : {
					type  : 'input',
					id    : 'confirmEmail',
					title : 'Confirm email address',
					value : '',
					maxlength : 255
				},
				'mobile' : {
					type  : 'mobile',
					id    : 'mobile',
					title : 'Mobile',
					value : data.mobile ? data.mobile : ''
				},
				'region' : {
					type        : 'select',
					id          : 'region',
					title       : 'Region',
					dataStoreId : 'regions',
					value       : '',
					onChange    : $.proxy(function () {
						if (!App.DataStore.getItem('BuildSelect:region', false))
						{
							/*App.DataStore.loadSelectListData(
									'cities', false, 'Location', 'Town.SelectList', null,
									{"Filter": {
										"region" : $(this).val()
										}}
									);*/

							var dataList = undefined != _w.publicvaluation.publicCentreList[$('#region').val()]
								? _w.publicvaluation.publicCentreList[$('#region').val()]
								: [];
							App.DataStore.setData('publicCentre', dataList);
							if ($('#sameAsBusinessAddress').prop('checked'))
							{
								$('#billingRegion').selectpicker('val', $('#region').val());
							}
						}
					}, this)
				},
				'city' : {
					type        : 'select',
					id          : 'city',
					title       : 'Town',
					dataStoreId : 'cities',
					value       : ''
				},

				'publicCentre' : {
					type        : 'select',
					id          : 'publicCentre',
					title       : 'Public Center',
					dataStoreId : 'publicCentre',
					value       : ''
				},


				'street' : {
					type  : 'input',
					id    : 'street',
					title : 'Street',
					value : '',
					maxlength : 75
				},
				'requiredPrice' : {
					type  : 'input',
					style : 'rand-input',
					id    : 'requiredPrice',
					title : 'Required price',
					value : ''
				}
			};
		},

		_listMakesModelsTypes : function( fromItemData, callback )
		{
			if (fromItemData)
			{
				var year     = _w.publicvaluation.itemData.stock.vehicleYear;
				var category = _w.publicvaluation.itemData.stock.type.category.id;
				var make     = _w.publicvaluation.itemData.stock.type.model.make.id;
				var model    = _w.publicvaluation.itemData.stock.type.model.id;
				var type     = _w.publicvaluation.itemData.stock.type.id;
			}
			else
			{
				var year     = $('#vehicleYear').val();
				var category = $('#vehicleCategory').val();
				var make     = $('#vehicleMake').val();
				var model    = $('#vehicleModel').val();
				var type     = $('#vehicleType').val();
			}
			if (year && category)
			{
				App.DataStore.loadSelectListData(
						'makes', false, 'Stock', 'Utility.ListMakes', null,
						{"Filter": {
							"category" : category,
							"year" : year
							}}
						);
			}
			if (make && year && category)
			{
				App.DataStore.loadSelectListData(
						'models', false, 'Stock', 'Utility.ListModels', null,
						{"Filter": {
							"make" : make,
							"category" : category,
							"year" : year
							}}
						);
			}
			if (model && year && category)
			{
				App.DataStore.loadSelectListData(
						'types', false, 'Stock', 'Utility.ListTypes', null,
						{"Filter": {
							"model" : model,
							"category" : category,
							"year" : year
							}}, {}, callback
						);
			}
		},

		_setupValidation : function ()
		{
			App.DataStore.listen('regValidation', 'damages', function(id, damages) {
				var rules = {
					firstName: {required: true, minlength: 3},
					familyName: {required: true, minlength: 3},
					email: {required: true, email: true},
					confirmEmail: {required: true, email: true, equalTo: "#email"},
					mobile: {required: true, mobile: true},
					region: {required: true},
					city: {required: false},
					publicCentre: {required: true},
					street: {required: false},
					requiredPrice: {required: true, number: true, min: 0.01},
					vehicleYear: "required",
					vehicleCategory: "required",
					vehicleMake: "required",
					vehicleModel: "required",
					vehicleType: "required",
					vehicleFuelType: "required",
					vehicleTransmissionType: "required",
					registrationNumber: "required",

					vehicleCondition: "required",
					exteriorColour: "required",
					interiorColour: "required",
					vehicleUpholstery: "required",
					vehiclePapers: {required: false},
					vehicleNatis: {required: false},
					spareKeys: "required",
					fullServiceHistory: "required",
					km: { required: true, digits: true }
				};
				for (var i = 0; i < damages.length; i++)
				{
					rules['damage' + damages[i].value + 'Amount'] = {number: true};
				}
				$('#frmValuationView').validate({
					"rules": rules,
					messages: {
						firstName: {
							minlength: "This field is required."
						},
						familyName: {
							minlength: "This field is required."
						},
						email: {
							required: "This field is required.",
							email: "Please enter a valid<br/>email address."
						},
						confirmEmail: {
							required: "This field is required.",
							email: "Please enter a valid<br/>email address.",
							equalTo: "Please enter the same<br/>value again."
						},
						requiredPrice: {
							required: "This field is required.",
							number: "Please enter a valid amount.",
							min: "Please enter a<br/>valid amount."
						},
						vehicleYear : "This field is required.",
						vehicleCategory : "This field is required.",
						vehicleMake : "This field is required.",
						vehicleModel : "This field is required.",
						vehicleType : "This field is required.",
						vehicleFuelType : "This field is required.",
						vehicleTransmissionType : "This field is required.",
						registrationNumber : "This field is required.",
						vehicleCondition : "This field is required.",
						exteriorColour : "This field is required.",
						interiorColour : "This field is required.",
						vehicleUpholstery : "This field is required.",
						//vehiclePapers : "This field is required.",
						//vehicleNatis : "This field is required.",
						spareKeys : "This field is required.",
						fullServiceHistory : "This field is required.",
						km : {required: "This field is required."}
					},
					invalidHandler: function(event, validator) {
					    var errors = validator.numberOfInvalids();
					    if (0 < _w.publicvaluation.validations && errors) {
					      var message = errors == 1
					        ? 'You missed 1 field. It has been highlighted'
					        : 'You missed ' + errors + ' fields. They have been highlighted';
					      alert(message);
					    }
					    _w.publicvaluation.validations++;
					},
					submitHandler: function( form ) {
						return;
					}
				});
				try {
					_w.publicvaluation.validations = 0;
					$('#frmValuationView').valid();
				} catch(err) {}
				$('label.error').remove();
				$('.valid').removeClass('valid');
			});
		},

		_prepValuationUpdateData : function()
		{
			function isValidEmailAddress(emailAddress) {
			    var pattern = new RegExp(/^((([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+(\.([a-z]|\d|[!#\$%&'\*\+\-\/=\?\^_`{\|}~]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])+)*)|((\x22)((((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(([\x01-\x08\x0b\x0c\x0e-\x1f\x7f]|\x21|[\x23-\x5b]|[\x5d-\x7e]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(\\([\x01-\x09\x0b\x0c\x0d-\x7f]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF]))))*(((\x20|\x09)*(\x0d\x0a))?(\x20|\x09)+)?(\x22)))@((([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|\d|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.)+(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])|(([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])([a-z]|\d|-|\.|_|~|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])*([a-z]|[\u00A0-\uD7FF\uF900-\uFDCF\uFDF0-\uFFEF])))\.?$/i);
			    return pattern.test(emailAddress);
			};

			var data = _w.publicvaluation.ti.harvest();
			data.km = '' == data.km
				? 0
				: parseInt(data.km);
			data.retailPrice = 0.00;
			data.tradePrice = 0.00;
            data.listPrice = 0.00;
			delete data.damageTotal;

			if ('' == data.mainImage)
			{
				delete data.mainImage;
			}
			if ('' == data.leftImage)
			{
				delete data.leftImage;
			}
			if ('' == data.backImage)
			{
				delete data.backImage;
			}
			if ('' == data.engineImage)
			{
				delete data.engineImage;
			}
			if ('' == data.frontImage)
			{
				delete data.frontImage;
			}
			if ('' == data.rightImage)
			{
				delete data.rightImage;
			}
			if ('' == data.interiorImage)
			{
				delete data.interiorImage;
			}
			if ('' == data.natisImage)
			{
				delete data.natisImage;
			}


			var postData = {Stock:{}, Valuation:{}};
			var valuationFields = [
			                       "firstName","familyName","mobile",
			                       "email","region","city","street","requiredPrice"," publicCentre"
			                       ];
			for (var field in data)
			{
				if (-1 == valuationFields.indexOf(field))
				{
					postData.Stock[field] = data[field];
				}
				else
				{
					postData.Valuation[field] = data[field];
				}
			}
			if ('' == postData.Valuation.idNumber)
			{
				delete postData.Valuation.idNumber;
			}

			if( !isValidEmailAddress( postData.Valuation.email ) )
			{
				testEmail = postData.Valuation.email;
				//console.log("went through check", testEmail);
				postData.Valuation.email = null;
			}


			if ('' == postData.Valuation.email)
			{
				postData.Valuation.email = null;
			}

			return postData;
		},

		_onValuationUpdated : function( response )
		{
			//alert('Your vehicle has successfully been submitted.');
			window.location.hash = '/thankyouvaluation';
		},
		_onValuationFail : function( response )
		{
			alert('Oops, something went wrong, please check your data carefully and try again.');
			//window.location.hash = '/public-landing';
		}

	};

})();